
From: Pavel Machek <pavel@ucw.cz>

Telling user machine will crash with default loglevel is nice joke, it
at least needs worse severity.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/page_alloc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/page_alloc.c~right-severity-level-for-fatal-message mm/page_alloc.c
--- 25/mm/page_alloc.c~right-severity-level-for-fatal-message	2005-01-10 17:29:32.623927328 -0800
+++ 25-akpm/mm/page_alloc.c	2005-01-10 17:29:32.628926568 -0800
@@ -1630,7 +1630,7 @@ static void __init free_area_init_core(s
 		zone->zone_start_pfn = zone_start_pfn;
 
 		if ((zone_start_pfn) & (zone_required_alignment-1))
-			printk("BUG: wrong zone alignment, it will crash\n");
+			printk(KERN_CRIT "BUG: wrong zone alignment, it will crash\n");
 
 		memmap_init(size, nid, j, zone_start_pfn);
 
_
